<%@page import="java.util.*,javax.sql.*,java.sql.*,javax.naming.*,m05bClasses.*" %>
<%@include file="/mantenimientosJSP/includes/m05b.inc"%>
<!-- Para poder mostrar los caracteres especiales en los mensajes javascript -->
<%@page contentType="text/html; charset=UTF-8" %>

<%
  java.sql.Connection conn = null;
  PreparedStatement pstmt = null;
  ResultSet rs = null;
  m05bComun comun = new m05bComun();
  m05bCampos miCampo = new m05bCampos();
  m05bFileLog miLog = new m05bFileLog();
  miLog.addTraza("Anabel","Ord Frame", "INICIO", m05bConstantes.LOG_NIVEL_BAJO);
  m05bConexion miConex = new m05bConexion();
  conn = miConex.getConnection();

  String strMatricula=request.getParameter("Matricula").toUpperCase();
  String NuevaOT=request.getParameter("NuevaOT")==null?"false":request.getParameter("NuevaOT");
  String Inicio=request.getParameter("Inicio")==null?"false":request.getParameter("Inicio");

  String sql="", txtAviso="";
  String modelo="", color="", rango="", marca="", fKmAct="", kmAct="", kmEntrada="", dpto="";
  String stop = "false";
%>

<HTML>
	<%@ include file="/m05bIdioma.inc"%>
	<head>
		<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=UTF-8">
		<script language="javascript1.2" src="<%=m05bConstantesPaginas.PATH_SCRIPTS%>/formateador.js"></script>
		<script>
			function fncMatricula (marca,modelo,color,rango, fkmact, kmact, dpto, nuevaOT) {
				top.formOrdTrabajo.Marca.value=marca;
				top.formOrdTrabajo.Modelo.value=modelo;
				top.formOrdTrabajo.Rango.value=rango;

				//20140926 - INIGO
				//Petición de Santos - A partir de ahora no se rellenan estos datos de forma automática
				top.formOrdTrabajo.FKmAct.value=fkmact;
				top.formOrdTrabajo.KmAct.value=kmact;
				//top.formOrdTrabajo.FKmAct.value=""; //fkmact;
				//top.formOrdTrabajo.KmAct.value=""; //kmact;

				if (nuevaOT=="true") {
					top.formOrdTrabajo.KmEntrada.value=""; //kmact;
					//formatNumero(top.formOrdTrabajo.KmEntrada);
				}
				top.formOrdTrabajo.Dpto.value=dpto;
			} // Fin  funcion fncMatricula

			function fncAvisos (texto) {
				alert(dameAlerta(idioma, 90) + texto);
			}// Fin  funcion Avisos
		</script>
	</head>

	<%
		try {
			if (!(Inicio.equals("true"))) {
				sql="select 1 from " + m05bConstantes.TAB_ORDENESTRAB +
					" where " + m05bConstantes.COL_20_MATRICULA + " = '" + strMatricula + "'" +
					" and " + m05bConstantes.COL_20_FSALIDA + " is null";
				pstmt = conn.prepareStatement(sql);
				rs = pstmt.executeQuery();
				
				if (rs.next()) {
					stop = "true";%>
					<script>
						alert(dameAlerta(idioma, 219));
						top.formOrdTrabajo.Matricula.value="";
						top.formOrdTrabajo.Marca.value="";
						top.formOrdTrabajo.Modelo.value="";
						top.formOrdTrabajo.Rango.value="";
						top.formOrdTrabajo.FKmAct.value="";
						top.formOrdTrabajo.KmAct.value="";
						top.formOrdTrabajo.KmEntrada.value="";
						top.formOrdTrabajo.Dpto.value="";
						//formatNumero(top.formOrdTrabajo.KmEntrada);
					</script>
				<%} else {
					txtAviso=miCampo.getAviso(strMatricula, m05bConstantes.COL_02_OT,campoTexto);
					miLog.addTraza("","", "AVISO: " + txtAviso, m05bConstantes.LOG_NIVEL_BAJO);
					if (txtAviso != "") {%>
						<script language="javascript">
							fncAvisos('<%=txtAviso%>');
						</script>
						<%
				      		/*sql="select " + m05bConstantes.COL_02_TEXTO +
				      	  		" from " + m05bConstantes.TAB_AVISOS +
				     			" where " + m05bConstantes.COL_02_MATRICULA + " = '" + strMatricula + "'";
			  		  		pstmt = conn.prepareStatement(sql);
			  		  		rs = pstmt.executeQuery();
				      		if (rs.next()) {
				      	  		txtAviso=rs.getString(1);
				     		*/
				     	%>
						<!--script language="javascript">
							fncAvisos('<%//=txtAviso%>');
						</script-->
					<%}
				}
			}

			if (stop.equals("false")) {
				sql="select NVL(R." +campoTexto+ m05bConstantes.COL_99_DESCRIPCION + ",R." + m05bConstantes.COL_99_DESCRIPCION + ")," + m05bConstantes.COL_17_DESCRIP +
					",NVL( C." +campoTexto+ m05bConstantes.COL_99_DESCRIPCION + ",C." + m05bConstantes.COL_99_DESCRIPCION + "),M." + m05bConstantes.COL_99_DESCRIPCION +
					",TO_CHAR(" + m05bConstantes.COL_34_FKMACT + ",'DD/MM/YYYY'), " + m05bConstantes.COL_34_KMACTUALES +
					", NVL(" +campoTexto2+ m05bConstantes.COL_06_DESCDPTO +"," + m05bConstantes.COL_06_DESCDPTO +")" +
					" FROM " + m05bConstantes.TAB_VEHICULOS +
					"," + m05bConstantes.TAB_DESCRIPCIONES +
					" R, " + m05bConstantes.TAB_DESCRIPCIONES +
		    		" C ," + m05bConstantes.TAB_DESCRIPCIONES +
					" M," + m05bConstantes.TAB_MODELOS +
					"," + m05bConstantes.TAB_DEPARTAMENTOS +
					" where " + m05bConstantes.COL_34_MATRICULA + "='" + strMatricula + "'" +
					  	" AND " + m05bConstantes.COL_34_MODELO+" = "+m05bConstantes.COL_17_CODMOD +
					    " AND R." + m05bConstantes.COL_99_CODTABLA + "  = " + m05bConstantes.DESC_RANGOS +
					  	" AND R." + m05bConstantes.COL_99_CODDESC + "  = " + m05bConstantes.COL_34_RANGO +
					    " AND M." + m05bConstantes.COL_99_CODTABLA + " (+) = " + m05bConstantes.DESC_MARCAS +
					  	" AND M." + m05bConstantes.COL_99_CODDESC + " (+) = " + m05bConstantes.COL_34_MARCA +
					  	" AND C."+ m05bConstantes.COL_99_CODTABLA + " (+) = " + m05bConstantes.DESC_COLORES +
						" AND C." + m05bConstantes.COL_99_CODDESC + " (+) = " + m05bConstantes.COL_34_COLOR +
						" AND " + m05bConstantes.COL_06_CODDPTO + " = " + m05bConstantes.COL_34_CODDPTO;
				pstmt = conn.prepareStatement(sql);
				rs = pstmt.executeQuery();
				if (rs.next()) {
					rango=rs.getString(1);
					modelo=rs.getString(2);
					color=rs.getString(3);
					marca=rs.getString(4);
					fKmAct=rs.getString(5);
					kmAct=rs.getString(6);
					dpto=rs.getString(7);
				}
	
				if (!(rango.equals(""))) {%>
					<script>
						fncMatricula ('<%=marca%>','<%=modelo%>','<%=color%>','<%=rango%>','<%=fKmAct%>','<%=kmAct%>','<%=dpto%>','<%=NuevaOT%>');
					</script>
				<%} else {%>
					<script>
						alert(dameAlerta(idioma, 220));
						top.formOrdTrabajo.Matricula.value="";
						top.formOrdTrabajo.Marca.value="";
						top.formOrdTrabajo.Modelo.value="";
						top.formOrdTrabajo.Rango.value="";
						top.formOrdTrabajo.FKmAct.value="";
						top.formOrdTrabajo.KmAct.value="0";
						top.formOrdTrabajo.KmEntrada.value="";
						top.formOrdTrabajo.Dpto.value="";
					</script>
				<%}
			}
		} catch (Exception ex) {
   			miLog.addTraza(ex);
		} finally {
			if (rs != null)
				rs.close();
			if (pstmt != null)
				pstmt.close();
			if (conn != null)
				conn.close();
		}
	%>

	<BODY style="cursor: wait" bgcolor="white" onkeydown="cancelaEnter();" onload="document.body.style.cursor='default';" onunload="document.body.style.cursor='wait';">
	</BODY>
</HTML>